Signatures
Envelope Accept
Records a recipient's explicit agreement to the legal terms or conditions associated with an envelope.
- The envelope is identified by a unique transactionId (tid).
- The tid is typically obtained from the email link sent to the recipient or via the GET /signatures/envelope/list endpoint.
- Provide the tid as a query parameter.
- This procedure occurs before the recipient views or signs any documents.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Query Parameters
tid?string
Transaction token identifying a specific recipient+envelope pair. Required for anonymous/recipient access (no Authorization header, or the header doesn't resolve to the envelope owner).
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/signatures/envelope/accept"{ "result": { "statusCode": 200, "message": "OK", "data": { "recipient": { "id": "9d2ecc3b-429b-448e-989c-094eb2e4ab23", "message": "Thank you for completing this document." } } }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/accept", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "0e2ddc7a-5b84-47cd-a49a-cb80e8adfa9d"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/accept", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "8e3df800-0aa6-4d17-8910-c51111d4c4e0", "operationId": "df957301d0541e379152d3a6db9e41c1"}{ "error": { "message": "Envelope not found.", "statusCode": 500, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/envelope/accept", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "b49294e4-43de-4dad-a25a-617199f17b88", "operationId": "293160d44dc439a4180a1b18f709724e"}